Kapitel 5. Paketmanagement
Zurück | 5.53 `debfoster` | Weiter

## 5.53 `debfoster`

`debfoster` entfernt automatisch nicht zwingend auf dem System benötigte Pakete. Hierzu wird eine Liste aller Pakete erstellt, die zur Installation ausgewählt wurden. In dieser Liste sind keine Pakete aufgeführt, die aufgrund einer Abhängigkeit zu einem Paket installiert wurden. Nur gezielt installierte Pakete werden aufgeführt. `debfoster` kann nach jedem Start von `dpkg` oder `apt` aufgerufen werden, um nicht länger benötigte Pakete aus dem System zu entfernen.

`debfoster` erfordert zunächst einen höheren Aufwand nach dem ersten Start. Es wird eine Liste aller Pakete definiert und die Antworten werden gespeichert, so dass beim nächsten Start nur bei veränderten Paketen nachgefragt wird.

    gnome-office is keeping the following 24 packages installed:
      abiword-gnome bonobo-conf dia-common dia-gnome evolution ganso gnucash
      gnumeric gtkhtml guile1.4-slib libbonobo-conf0 libcamel0 libdate-manip-perl
      libfinance-quote-perl libgnome-pilot1 libgtkhtml-data libguppi16
      libgwrapguile1 libhtml-tableextract-perl libole2-0 libpisock4 libunicode0
      mrproject slib
    Keep gnome-office? [Ynpsiuqx?], [H]elp: Y

    nautilus1.1 is keeping the following 10 packages installed:
      libeel2-1 libeel2-data libgail-common libgail13 libgail15
      libgnome-desktop-0 libgtkhtml2-0 libnautilus1.1-2 nautilus1.1-data
      nautilus1.1-gtkhtml
    Keep nautilus1.1? [Ynpsiuqx?], [H]elp: Y

    aptconf is keeping the following 11 packages installed:
      configlet-frontends gnome-sudo libxml-grove-perl libxml-perl
      python-configlet python-gdk-imlib python-glade python-gnome python-gtk
      python-xml python2.1-xml
    Keep aptconf? [Ynpsiuqx?], [H]elp:

Weiterhin lässt sich `debfoster` über die Kommandozeile steuern. Somit können Sie viele Aktionen automatisieren.

    Usage: debfoster [-ck FILE] [-adefhinopqrsvV] package1 package2-
    Installs package1, deinstalls package2

    -v, --verbose                  Be a loudmouth
    -V, --version                  Show version and copyright information
    -h, --help                     Show this message
    -q, --quiet                    Silently build keeper file
    -f, --force                    Force system to conform to keeper file
    -m, --mark-only                Do not install or delete packages
    -u, --upgrade                  Try to upgrade dependencies
    -c, --config FILE              Specify configuration file
    -k, --keeperfile FILE          Specify keeper file
    -n, --no-keeperfile            Don't read keeper file
    -i, --ignore-default-rules     Ignore default rules
    -a, --show-keepers             Show packages on keeper list
    -s, --show-orphans             Show orphaned packages
    -d, --show-depends PACKAGE     Show all depends of PACKAGE
    -e, --show-dependents PACKAGE  Show dependents of PACKAGE
    -p, --show-providers PACKAGE   Show packages providing PACKAGE
    -r, --show-related PACKAGE     Show packages brought in by PACKAGE
    -t, --use-tasks                Make tasks visible as packages
    -o, --option OPT=VAL           Override any configuration option

    See also: debfoster(8)
    debfoster 2.5 -- Copyright (C) 2000,2001 Wessel Dankers.
    Distributed under the GNU General Public License.

Zurück | Nach oben | Weiter
5.52 `deborphan` | Zum Anfang | 5.54 task-Pakete

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).